Bug 1376646 (CVE-2016-7046)

Summary: CVE-2016-7046 undertow: Long URL proxy request lead to java.nio.BufferOverflowException and DoS
Product: [Other] Security Response Reporter: Timothy Walsh <twalsh>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: NEW --- QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: bbaranow, bmaxwell, cdewolf, csutherl, dandread, darran.lofthouse, dosoudil, jawilson, jshepherd, lgao, myarboro, pgier, psakar, pslavice, rnetuka, rsvoboda, twalsh, vtunka
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=important,public=20160915,reported=20160915,source=redhat,cvss2=7.8/AV:N/AC:L/Au:N/C:N/I:N/A:C,cvss3=6.5/CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H,cwe=CWE-119,eap-7/web=affected
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
It was discovered that a long URL sent to EAP 7 Server operating as a reverse proxy with default buffer sizes causes a Denial of Service.
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1376426, 1380270, 1520314    

Description Timothy Walsh 2016-09-16 03:49:31 UTC
A long URL when sent to EAP 7 Server operating as a reverse proxy with default buffer sizes causes a DoS.

A long URL (about 1900 characters) is sent, the proxy server

    return error 500 (that's ok)
    starts to consume 100% CPU
    starts to fill logs log file with exceptions very fast (so disk space gets exhausted quickly)
    E.g. some infinite loop is initiated by the request. Proxy server must be restarted to stop the problem.

Comment 6 errata-xmlrpc 2016-11-04 09:10:05 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.0 for RHEL 7

Via RHSA-2016:2641 https://rhn.redhat.com/errata/RHSA-2016-2641.html

Comment 7 errata-xmlrpc 2016-11-04 09:10:18 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.0 for RHEL 6

Via RHSA-2016:2640 https://rhn.redhat.com/errata/RHSA-2016-2640.html

Comment 8 errata-xmlrpc 2016-11-04 09:10:52 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.0 for RHEL 6
  Red Hat JBoss Enterprise Application Platform 7.0 for RHEL 7

Via RHSA-2016:2642 https://rhn.redhat.com/errata/RHSA-2016-2642.html

Comment 9 errata-xmlrpc 2016-11-04 15:38:34 UTC
This issue has been addressed in the following products:



Via RHSA-2016:2657 https://rhn.redhat.com/errata/RHSA-2016-2657.html

Comment 12 errata-xmlrpc 2017-12-13 17:33:23 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2017:3456 https://access.redhat.com/errata/RHSA-2017:3456

Comment 13 errata-xmlrpc 2017-12-13 18:19:51 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 6

Via RHSA-2017:3454 https://access.redhat.com/errata/RHSA-2017:3454

Comment 14 errata-xmlrpc 2017-12-13 18:41:15 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 7

Via RHSA-2017:3455 https://access.redhat.com/errata/RHSA-2017:3455

Comment 15 errata-xmlrpc 2017-12-13 18:46:48 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 7
  Red Hat JBoss Enterprise Application Platform 7.1 for RHEL 6

Via RHSA-2017:3458 https://access.redhat.com/errata/RHSA-2017:3458